%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global cargo_install_bin 0

%global crate trycmd

Name:           rust-trycmd
Version:        0.15.4
Release:    1%{?dist}
Summary:        Snapshot testing for a herd of CLI tests

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/trycmd
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 26

%global _description %{expand:
Snapshot testing for a herd of CLI tests.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-devel %{_description}

This package contains library source intended for building other packages which
use the "color" feature of the "%{crate}" crate.

%files       -n %{name}+color-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+color-auto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+color-auto-devel %{_description}

This package contains library source intended for building other packages which
use the "color-auto" feature of the "%{crate}" crate.

%files       -n %{name}+color-auto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+diff-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+diff-devel %{_description}

This package contains library source intended for building other packages which
use the "diff" feature of the "%{crate}" crate.

%files       -n %{name}+diff-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+escargot-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+escargot-devel %{_description}

This package contains library source intended for building other packages which
use the "escargot" feature of the "%{crate}" crate.

%files       -n %{name}+escargot-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+examples-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+examples-devel %{_description}

This package contains library source intended for building other packages which
use the "examples" feature of the "%{crate}" crate.

%files       -n %{name}+examples-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+filesystem-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+filesystem-devel %{_description}

This package contains library source intended for building other packages which
use the "filesystem" feature of the "%{crate}" crate.

%files       -n %{name}+filesystem-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+schema-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+schema-devel %{_description}

This package contains library source intended for building other packages which
use the "schema" feature of the "%{crate}" crate.

%files       -n %{name}+schema-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires -f schema

%build
%cargo_build -f schema

%install
%cargo_install -f schema

%if %{with check}
%check
%cargo_test -f schema
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.4-1
- initial build
